<html><head><title>Background</title></head>
<body>
<a name="Background"><hr size=7><h2>Background</h2><hr size=7></a>
Up to: <a href="../Introduction.html#Introduction">Introduction</a>, <a href="../Contents.html#Background">Contents</a><p>


<p>HSPEXP interactively allows the user to edit the input User Control Input (UCI) file for the Hydrologic Simulation Program--Fortran (HSPF), run HSPF simulations, produce plots of HSPF hydrology outputs compared to observed values, compute error statistics for a simulation, and provide the user with expert advice on which parameters should be changed to improve the calibration. In general, use of HSPEXP is an interactive process that requires repeating the cycle of simulation, computing statistics, reviewing plots, getting advice, and modifying parameters.</p>

<p>Artificial intelligence (AI) was first used with HSPF on a project at the Stanford Research Institute (SRI), in Menlo Park, California, to estimate initial values for model parameters. HSPEXP is the result of a USGS project to create an expert system to assist with the calibration of a watershed model. The prototype was developed with AI software tools, and when properly refined was converted to ANSI standard Fortran using the Graphical Kernel System (GKS) for portability.</p>

<p>HSPEXP uses over 35 rules involving over 80 conditions to recommend parameter adjustments. The rules are divided into four groups -- annual volumes, low flows, storm flows, and seasonal flows. Rules in subsequent groups are not tested until all rules in the previous group 'pass.' The rules are based on the experience of experts in the use of HSPF in a range of climates and physiographic regions.</p>


<p>Meteorological records of precipitation and estimates of potential evapotranspiration in a Watershed Data Management (WDM) file are required for watershed simulation using HSPF. Air temperature, dew point temperature, wind, and solar radiation also are required for simulation of snow accumulation and melt. Air temperature, wind, solar radiation, humidity, cloud cover, tillage practices, point sources, and (or) pesticide applications may be required for water quality simulation. Physical measurements and related parameters are required to describe the land area, channels, and reservoirs.</p>

<p>Output options include tables of statistics comparing observed data and simulated results, ten different types of graphical presentations, and tables of the expert advice. Time-series output from the simulation is written to the WDM file. Output may be viewed interactively or written to text files for printing or analysis in a spreadsheet program.</p>

<p>HSPEXP has been used to support HSPF application to numerous watersheds including, the Patuxent River, Maryland, the Lesueur River Basin, Minnesota, and the Truckee River Basin, California/Nevada.</p>

<p>HSPEXP was developed for older operating systems, and it has been reported by multiple users that it is not suitable for current computers. The USGS has stopped active development of HSPEXP.</p>

<p>Building on the capabilities of HSPEXP, HSPEXP+ was developed by AQUA TERRA Consultants to facilitate hydrologic and water quality calibration projects.  The software is available free of cost at the <a href="http://aquaterra.com" target="_blank">AQUA TERRA Consultants website, </a>and its source code is available along with the <a href="http://svn.mapwindow.org/svnroot/BASINS40/" target="_blank">BASINS source code.</a>
</body>
</html>
